using AvaloniaSideBarEx.Services;
using CommunityToolkit.Mvvm.Input;

namespace AvaloniaSideBarEx.ViewModels;

public partial class HomeViewModel(INotificationService notificationService): ViewModelBase
{
    public string WelcomeMessage => "Home頁面"; 
    
    [RelayCommand]
    public void NotificationTest()
    {
        notificationService.Show("成功", "Toast 訊息測試！", "Success");
    }
}